Subject: RE: Should IP Security be Optional? [Was RE: draft-ietf-ipv6-cel lular-host-00.txt -> wg last call?]

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Thu, 7 Mar 2002 13:33:46 +0100

>   | You want to support IPsec and that's fine. However I don't
 >   | think you always want to run IPsec when the result is for
 >   | example a possible higher packet loss rate.
 > 
 > No, of course you don't always want to run it.   Why you you think
 > that anyone always wants to run it?   But when you need IPsec, you
 > need it - and that you happen to be using a cellular link for some
 > particular communications is irrelevant.   Whether to use IPsec or
 > not will depend upon the particular communications at any particular
 > instant, and needs to be able to be determined by the user - 
 > certainly
 > never by the implementor, who has no idea what environment 
 > (which includes
 > the remote end of communications) the equipment will be used in.

The mail I responded to was about disabling DAD and IPsec.

/Karim
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Ignatios Souvatzis <[email-masked]>
Date: Thu, 7 Mar 2002 13:50:37 +0100

> The mail I responded to was about disabling DAD and IPsec.

yes... and it told you

- to do whatever you deem appropriate about DAD in a IPv6 over 3gpp LINK
document, because any interoperability is between the 3gpp err... "terminal"
and the 3gpp network and doesn't affect the global internet

- not to touch the implementation of IPSec (read: to implement it with at
least the minimum required functionality), because IPSec is END-to-END and
your customer won't be able to communicate with some nodes out there on the
global Internet if it isn't at least available.

Sorry if my wording wasn't clear. I'm fighting with a 'flu.

Regards,
	-is